Question

How to upgrade PHP 5.4 to 7.0+ on LEMP stack on CentOS

How do I upgrade PHP to 5.6+, preferable PHP 7 on a LEMP stack on CentOS

tried several guides online and cant seem to find one that works… Used this guide to install LEMP: https://www.digitalocean.com/community/tutorials/how-to-install-linux-nginx-mysql-php-lemp-stack-on-centos-7

also tried :

https://www.digitalocean.com/community/tutorials/how-to-upgrade-to-php-7-on-centos-7

Subscribe
Share

Submit an answer
You can type!ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Accepted Answer

@darknite

What issues are you running in to when trying to upgrade versions?

Upgrading PHP, or any software, often requires full removal of the existing packages to prevent the potential for package conflicts. More often than not, if you miss just one package, you’ll still end up hitting a wall with a package conflict.

I primarily use Ubuntu, and I find apt (or apt-get) to make the process a little easier, though it’s not really all that different with yum and/or dnf.

best of luck.

Im very sorry for the late reply @jtittle I resetted it and was having toruble with sessions but after days of work I finally got it working ?

Do you work for DigitalOcean or just a good samaritan? so far you have been very helpful.

Thx for the reply anyways and I suspect I might need your expertise in the future.

I can not pinpoint anything yet as of now since I deleted or restored my droplet again so my log files are gone… I will do it again…

I will redo it again and post the details.